import { JavaObject } from '../../../java/lang/JavaObject';
export declare class LehrerListeEintrag extends JavaObject {
    id: number;
    kuerzel: String;
    nachname: String;
    vorname: String;
    personTyp: String;
    sortierung: number;
    istSichtbar: boolean;
    istAenderbar: boolean;
    istRelevantFuerStatistik: boolean;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): LehrerListeEintrag;
    static transpilerToJSON(obj: LehrerListeEintrag): string;
    static transpilerToJSONPatch(obj: Partial<LehrerListeEintrag>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_lehrer_LehrerListeEintrag(obj: unknown): LehrerListeEintrag;
